<template>
<v-app>
    <v-container>
        <v-layout>
          <v-dialog v-model="dialogBBL" persistent width="500">
            <v-card>
              <v-toolbar flat dark color="white">
                <v-btn icon  dark @click="closeDialog">
                  <v-icon color="#538795">close</v-icon>
                </v-btn>
                <v-toolbar-title class="text-xs-center" style="color:#538795;">PAYMENT INFORMATION</v-toolbar-title>
              </v-toolbar>
              <!-- <v-card-title class="headline">Session Expired</v-card-title> -->
              <p class="dialogBBL" style="margin-bottom:0px;">Please copy REF 1 and REF 2 to <a style="color:#538795;" href="https://bizibanking.bangkokbank.com/" target="_blank" >https://bizibanking.bangkokbank.com/</a></p>
              <v-layout justify-center v-if="!mobileView">
                <v-chip color="#538795" text-color="white">
                  REF1 : &nbsp;<strong>{{ref1}}</strong>
                  <v-icon right @click.stop.prevent="copyText">content_copy</v-icon>
                </v-chip>
                <v-chip color="#538795" text-color="white">
                  REF2 : &nbsp;<strong>{{ref2}}</strong>
                  <v-icon right @click.stop.prevent="copyText2">content_copy</v-icon>
                </v-chip>
                <input type="hidden" id="testing-code" :value="ref1">
                <input type="hidden" id="testing-code2" :value="ref2">
              </v-layout>
              <!-- mobile -->
              <v-layout v-if="mobileView" class="dialogBBL">
                <v-chip color="#538795" text-color="white">
                  REF1 : &nbsp;<strong>{{ref1}}</strong>
                  <v-icon right @click.stop.prevent="copyText">content_copy</v-icon>
                </v-chip>
              </v-layout>
              <v-layout v-if="mobileView" class="dialogBBL">
                <v-chip color="#538795" text-color="white">
                  REF2 : &nbsp;<strong>{{ref2}}</strong>
                  <v-icon right @click.stop.prevent="copyText2">content_copy</v-icon>
                </v-chip>
                <input type="hidden" id="testing-code" :value="ref1">
                <input type="hidden" id="testing-code2" :value="ref2">
              </v-layout>
              <!-- end mobile -->
              <p class="dialogBBL" style="margin-bottom:5px;">According to the following step</p>
              <div><strong style="color:#538795; padding-left:15px;">STEP 1 </strong></div>
              <img v-if="!mobileView" class="dialogBBL" :src="images.stepbbl1" style="width:500px; padding-right:15px;" >
              <img v-if="mobileView" class="dialogBBL" :src="images.stepbbl1" style="width:330px; padding-right:15px;" >
              <div class="dialogBBL"><strong style="color:#538795;">STEP 2 </strong></div>
              <img v-if="!mobileView" class="dialogBBL" :src="images.stepbbl2" style="width:500px; padding-right:15px; padding-bottom:20px;">
              <img v-if="mobileView" class="dialogBBL" :src="images.stepbbl2" style="width:330px; padding-right:15px; padding-bottom:20px;" >
            </v-card>
          </v-dialog>
          <v-dialog v-model="dialogloader" persistent width="400">
            <v-card color="#538795" dark>
              <v-card-text>
                Please wait while we are processing your request...
                <v-progress-linear indeterminate color="white" class="mb-0"></v-progress-linear>
              </v-card-text>
            </v-card>
          </v-dialog>
          <v-dialog v-model="dialogloaderQr" persistent width="400">
            <v-card color="gray" dark>
              <v-card-text>
                QR CODE loading...
                <v-progress-linear indeterminate color="white" class="mb-0"></v-progress-linear>
              </v-card-text>
            </v-card>
          </v-dialog>
          <v-dialog v-model="dialogCondition" width="420">
            <v-card class="textcard" style="height:400px;" >
              <v-card-title class="headline">
                <v-btn icon @click="dialogCondition = false">
                  <v-icon>mdi-close</v-icon>
                 </v-btn><b style="color:#538795;">Terms and Conditions</b></v-card-title>
              <div style="padding:10px 20px 10px 20px; background-color:#f2f2f2;">
                เรียนท่านผู้ใช้บริการ INET e-Payment <br><b>กรุณาอ่านข้อตกลงด้านล่างอย่างละเอียด ก่อนทำการชำระเงินค่าสินค้าและบริการ</b><br><br>
                1. ผู้ใช้บริการ ใช้บัตรเดบิต/บัตรเครดิต ที่ออกโดยธนาคารพานิชย์ในประเทศไทย และภายใต้ผู้ให้บริการเครือข่าย Visa, Master หรือ JCB<br>
                2. ในการทำรายการครั้งแรก ต้องทำการยืนยันการใช้บัตร และกรอกรหัส Verified by VISA, MasterCard SecureCode หรือ J/Secure เพื่อชำระเงิน<br>
                3. การจำหน่ายสินค้า/บริการ เป็นความรับผิดชอบของผู้จัดจำหน่ายสินค้า/บริการ แต่เพียงผู้เดียว บริษัท อินเทอร์เน็ตประเทศไทย จำกัด (มหาชน)ไม่ใช่ผู้จัดจำหน่ายสินค้า/บริการ และไม่มีส่วนรับผิดชอบใดๆเกี่ยวกับสินค้า/บริการ กรณีผู้ใช้บริการมีข้อสงสัยหรือร้องเรียนเกี่ยวกับสินค้า/บริการ
                  หรือหากต้องการใบเสร็จและใบกำกับภาษี กรุณาติดต่อโดยตรงกับบริษัทผู้จัดจำหน่ายสินค้า/บริการโดยตรง<br>
                4. สอบถามข้อมูลเพิ่มเกี่ยวกับการชำระเงิน กรุณาติดต่อ 02-257-7188<br>
                5. บริษัท อินเทอร์เน็ตประเทศไทย จำกัด (มหาชน) ขอสงวนสิทธิ์ในการเปลี่ยนแปลงเงื่อนไข ข้อตกลง โดยไม่ต้องแจ้งให้ทราบล่วงหน้า
                  และกรณีมีข้อพิพาท คำตัดสินของ บริษัท อินเทอร์เน็ตประเทศไทย จำกัด (มหาชน) ให้ถือเป็นที่สิ้นสุด<br>
                6. ผู้ใช้บริการยืนยันรับทราบเงื่อนไขในการให้บริการการซื้อสินค้า/บริการครั้งนี้<br><br>
                ในนามของบริษัท อินเทอร์เน็ตประเทศไทย จำกัด (มหาชน) <br> ขอขอบพระคุณท่านที่เลือกใช้บริการ INET e-Payment<br><br>
              </div>
            </v-card>
          </v-dialog>
            <v-flex md12 style="margin-top:80px;">
                <div id="app">
                    <v-app id="inspire">
                      <v-card class="mx-auto" height="auto" style="margin-top:20px; padding-bottom:20px;" >
                        <v-card-text style="margin-left:10px;">
                          <h2 class="header">Payment</h2>
                          <p class="sub-header">Choose payment method below.</p>
                        </v-card-text>
                        <v-layout>
                          <v-flex xs7 >
                              <v-card class="checkout" >
                                <v-layout wrap md12>
                                  <v-tabs class="mytab" show-arrows grow style="color:red;">
                                    <v-tabs-slider color="#538795"></v-tabs-slider>
                                    <v-tab class="tab" v-on:click="chkbox = false ,imageQR = '', bank = 'BBL', payType = 'QR' ">
                                      <v-icon color="#538795" left>mdi-qrcode</v-icon>
                                      QR Code
                                    </v-tab>
                                    <v-tab class="tab" width="300px;" v-on:click="chkbox = false ,imageQR = '', bank = '', payType = 'AC' ">
                                      <v-icon  color="#538795" left>mdi-bank</v-icon>
                                      Internet Banking
                                    </v-tab>
                                    <!-- <v-tab class="tab" width="300px;" v-on:click="chkbox = false ,imageQR = '', bank = 'KTC', payType = 'CR' " >
                                      <v-icon  color="#538795" left>mdi-credit-card</v-icon>
                                      Credit Card
                                    </v-tab> -->
                                    <!-- QR -->
                                    <v-tab-item class="sizetab">
                                      <v-card flat class="tabDetail">
                                        <v-card-text><br>
                                          <div class="textcard" >
                                            <v-layout>
                                              <v-flex xs1 py-2 px-3>
                                                <v-icon color="red">mdi-alert-circle</v-icon>
                                              </v-flex>
                                              <v-flex xs10 style="color:red;" px-1 py-2 v-if="!mobileView">
                                                <div>Please do not leave this page until the process has been done.</div>
                                              </v-flex>
                                              <!-- mobile -->
                                              <v-flex xs10 style="color:red;" px-3 py-2 v-if="mobileView">
                                                <div>Please do not leave this page until the process has been done.</div>
                                              </v-flex>
                                              <!-- end mobile -->
                                            </v-layout>
                                            </div><br>
                                          <!-- <center><img width="200px" :src="'data:image/jpeg;base64,'+imageQR" /></center><br> -->
                                          <!-- <center><img v-if="imageQR" width="200px" :src="'data:image/jpeg;base64,'+imageQR" /></center><br> -->
                                        </v-card-text>
                                      </v-card>
                                    </v-tab-item>
                                    <!-- QR  end-->
                                    <!-- internet bk -->
                                    <v-tab-item class="sizetab">
                                      <v-card class="tabDetail scroll-y" flat id="scroll-target">
                                        <v-card-text v-scroll:#scroll-target="onScroll" style="height:390px;"><br>
                                          <div class="textcard" >
                                            <v-layout>
                                              <v-flex xs1 py-2 px-3>
                                                <v-icon color="red">mdi-alert-circle</v-icon>
                                              </v-flex>
                                              <v-flex xs3 style="color:red;" px-1 py-2 v-if="!mobileView">
                                                Please prepare
                                              </v-flex>
                                              <!-- mobile -->
                                              <v-flex xs3 style="color:red;" px-3 py-2 v-if="mobileView">
                                                Please prepare
                                              </v-flex>
                                              <!-- end mobile -->
                                              <v-flex xs7>
                                                <li>
                                                  Username and Password for Internet Banking
                                                </li>
                                                <li>
                                                  Phone Number for OTP request
                                                </li>
                                                <li>
                                                  Check your bank account balance
                                                </li>
                                              </v-flex>
                                            </v-layout>
                                            </div><br>
                                          <p class="mb-0" style="color:red;">
                                            *Please select bank
                                          </p>
                                          <v-radio-group v-model="bank" column>
                                            <!-- <v-radio
                                              color="green"
                                              value="BBL"
                                            >
                                            <template v-slot:label>
                                              <div style="color:black;">
                                                <img class="cardborder" :src="images.bbl" style="width:120px;" >
                                              </div>
                                            </template>
                                            </v-radio> -->

                                            <v-radio
                                              color="#538795"
                                              value="KTB"
                                            >
                                              <template v-slot:label>
                                                <div style="color:black;">
                                                  <img class="cardborder" :src="images.ktb" style="width:120px;">
                                                </div>
                                              </template>
                                            </v-radio>

                                            <v-radio
                                              color="#538795"
                                              value="BAY"
                                            >
                                              <template v-slot:label>
                                                <div style="color:black;">
                                                  <img class="cardborder" :src="images.bay" style="width:120px;">
                                                </div>
                                                <div v-if="!mobileView" style="font-size:13px; margin-left:10px;">
                                                  (Support Corporate Banking)
                                                </div>
                                                <div v-if="mobileView" style="font-size:10px; margin-left:3px; color:grey; margin-top:5px;">
                                                  (Support Corporate Banking)
                                                </div>
                                              </template>
                                            </v-radio>

                                            <!-- bbl -->
                                          <v-radio
                                                color="#538795"
                                                value="BBL"
                                              >
                                                <template v-slot:label>
                                                  <div style="color:black;">
                                                    <img class="cardborder" :src="images.bbl" style="width:120px; margin-top:10px;">
                                                  </div>
                                                  <div v-if="!mobileView" style="font-size:13px; margin-left:10px; margin-top:1px;">
                                                    (Support Corporate Banking)
                                                  </div>
                                                  <div v-if="mobileView" style="font-size:10px; margin-left:3px; color:grey; margin-top:5px;">
                                                  (Support Corporate Banking)
                                                  </div>
                                                </template>
                                            </v-radio>

                                              <v-layout>
                                                <v-flex xs3></v-flex>
                                                <v-flex xs1>
                                                  <v-radio-group v-model="payType" row v-if="bank=='BBL'" style="margin-top:1px;">
                                                    <v-radio color="#538795" value = 'AC' >
                                                      <template v-slot:label>
                                                        <div style="color:black;">
                                                          <img class="subbankbbl" :src="images.bbl_citizen" style="margin-top:10px;">
                                                        </div>
                                                      </template>
                                                    </v-radio>
                                                    <v-radio color="#538795" value= 'CO'>
                                                      <template v-slot:label>
                                                        <div style="color:black;">
                                                          <img class="subbankbbl" :src="images.bbl_biz" style="margin-top:10px;">
                                                        </div>
                                                      </template>
                                                    </v-radio>
                                                </v-radio-group>
                                                </v-flex>
                                                <!-- <v-flex xs4 py-2 px-2 v-if="bank=='BBL'">
                                                  <p style="margin-bottom:10px; font-size:14px;">Citizen</p>
                                                  <p style="font-size:14px;">Corporate</p>
                                                </v-flex> -->
                                              </v-layout>
                                              <!-- end bbl -->
                                              <!-- scb -->
                                            <v-radio
                                                color="#538795"
                                                value="SCB"
                                              >
                                                <template v-slot:label>
                                                  <div style="color:black;">
                                                    <img class="cardborder" :src="images.scb" style="width:120px; margin-top:10px;">
                                                  </div>
                                                  <div v-if="!mobileView" style="font-size:13px; margin-left:10px; margin-top:1px;">
                                                    (Support Corporate Banking)
                                                  </div>
                                                  <div v-if="mobileView" style="font-size:10px; margin-left:3px; color:grey; margin-top:5px;">
                                                  (Support Corporate Banking)
                                                  </div>
                                                </template>
                                            </v-radio>
                                              <v-layout>
                                                <v-flex xs3></v-flex>
                                                <v-flex xs1>
                                                  <v-radio-group column v-model="payType"  v-if="bank=='SCB'" style="margin-top:1px;">
                                                    <v-radio color="#538795" value = 'AC' >
                                                      <template v-slot:label>
                                                        <div style="color:black;">
                                                          <img class="subbank" :src="images.scb_citizen" >
                                                        </div>
                                                      </template>
                                                    </v-radio>
                                                    <v-radio color="#538795" value= 'CO'>
                                                      <template v-slot:label>
                                                        <div style="color:black;">
                                                          <img class="subbank" :src="images.scb_biz" style="margin-top:10px;">
                                                        </div>
                                                      </template>
                                                    </v-radio>
                                                </v-radio-group>
                                                </v-flex>
                                                <!-- <v-flex xs4 py-2 px-2 v-if="bank=='SCB'">
                                                  <p style="margin-bottom:10px; font-size:14px;">Citizen</p>
                                                  <p style="font-size:14px;">Corporate</p>
                                                </v-flex> -->
                                              </v-layout>
                                          <!-- end scb -->
                                          </v-radio-group>
                                        </v-card-text>
                                      </v-card>
                                    </v-tab-item>
                                    <!-- internet bk end-->
                                    <!-- creditcard -->
                                    <!-- <v-tab-item class="sizetab">
                                      <v-card flat class="tabDetail">
                                        <v-card-text><br>
                                          <div class="textcard" >
                                            <v-layout>
                                              <v-flex xs1 py-2 px-3>
                                                <v-icon color="green">mdi-checkbox-marked-circle</v-icon>
                                              </v-flex>
                                              <v-flex xs6 style="color:green;" px-1 py-2 v-if="!mobileView">
                                                We accept all major debit/credit cards
                                              </v-flex> -->
                                              <!-- mobile -->
                                              <!-- <v-flex xs6 style="color:green;" px-3 py-2 v-if="mobileView">
                                                We accept all major debit/credit cards
                                              </v-flex> -->
                                              <!-- end mobile -->
                                              <!-- <v-flex xs5 style="height:49px;">
                                                <img style="padding-top:8px;" width="100%" :src="images.payments" />&nbsp;
                                              </v-flex>
                                            </v-layout>
                                          </div>
                                          <p style="color:red; margin-left:3px; margin-top:5px;">*If unable to pay by credit card, please contact bank for assistance.</p>
                                          <img style="padding-top:8px;" width="15%" :src="images.pci" /><br>
                                        </v-card-text>
                                      </v-card>
                                    </v-tab-item> -->
                                    <!-- creditcard end -->
                                  </v-tabs>
                                </v-layout>
                                </v-card>
                                <!-- mobile -->
                        <v-layout>
                          <v-flex xs12 v-if="mobileView">
                            <v-card width="300" height="auto" style="margin:20px; padding:0px;" class="summarydata">
                              <v-card-text style="background-color:#F8F8F8; padding:16px;">
                                <v-layout>
                                  <v-flex xs3><h4>Invoice No.</h4></v-flex>
                                  <v-flex xs9 style="text-align:right;" ><h4>{{invoiceno}}</h4></v-flex>
                                </v-layout>
                                <v-layout v-if="invoicestatus == 'unpaid from portal'" align-center justify-end row wrap>
                                  <v-flex xs2>From</v-flex>
                                  <v-flex xs10 style="text-align:right;" >{{invoicename}}</v-flex>
                                </v-layout>
                                <v-layout justify-end row wrap>
                                  <v-flex v-if="invoicestatus == 'unpaid from portal'" style="color:#606060;">To</v-flex>
                                  <v-flex v-if="invoicestatus == 'unpaid from portal'" style="text-align:right;" >{{invoicecompany}}</v-flex>
                                  <v-flex v-if="invoicestatus == 'unpaid from erp'" style="color:#606060;"><h4>To</h4></v-flex>
                                  <v-flex v-if="invoicestatus == 'unpaid from erp'" style="text-align:right;" ><h4>{{invoicecompany}}</h4></v-flex>
                                </v-layout>
                                <v-divider class="summarydata"></v-divider>
                                <v-layout v-if="invoicestatus == 'unpaid from portal'" justify-end row wrap  class="summarydata">
                                  <v-flex>Sub Total</v-flex>
                                  <v-flex style="text-align:right;" >{{ addCommas(invoicesub_total) }}</v-flex>
                                </v-layout>
                                <v-layout v-if="invoicestatus == 'unpaid from portal'" justify-end row wrap  class="summarydata">
                                  <v-flex>Withholding Tax</v-flex>
                                  <v-flex style="text-align:right;" >{{ addCommas(invoicewht) }}</v-flex>
                                </v-layout>
                                <v-layout justify-end row wrap  class="summaryprice">
                                  <v-flex>Total</v-flex>
                                  <v-flex style="text-align:right;" >{{ addCommas(invoicetotal) }}</v-flex>
                                </v-layout>
                                <v-divider class="summarydata"></v-divider>
                                <p class="emailTxt" style="font-size:13px; margin:5px 0px 5px 0px; color:grey;">Enter your e-mail if you want to receive the notification.</p>
                                <v-text-field solo prepend-icon="mdi-email-outline" class="emailbox" color="#538795" v-model="invoiceemail" hide-details :rules="emailRules"></v-text-field>
                                <!-- <v-btn :disabled="(chkbox && !bank) || payType==='QR' || !chkbox" class="paybtn" block color="success" @click="pay">PAY</v-btn> -->
                                <v-checkbox  v-if="!imageQR" value=true v-on="payType === 'QR' ? { change: () => pay() } : (payType === 'CR' ? {change: () => payQRLink()} : {change: () => null })" color="#538795" v-model="chkbox" style="margin-top:10px; height:30px;">
                                  <template v-slot:label>
                                    <div class="terms">
                                      I agree to the
                                        <template>
                                          <a
                                            @click.stop="dialogCondition = true"
                                            style="color:grey;"
                                          >
                                            <u>Terms and Conditions.</u>
                                          </a>
                                        </template>
                                    </div>
                                  </template>
                                </v-checkbox>
                                  <v-btn :disabled="(chkbox && !bank) || payType==='QR' || !chkbox" class="paybtn white--text" block color="#538795" @click="pay">PAY</v-btn>
                                <center><p v-if="imageQR && payType==='CR' " style="font-size:16px;">OR</p></center>
                                <!--start edit qr-->
                                <center><img v-if="imageQR" width="200px" :src="'data:image/jpeg;base64,'+imageQR" /><br>
                                <v-btn small outline color="primary" v-if="imageQR" @click="downloadQR()">download QR Code <v-icon small right dark>mdi-cloud-download</v-icon>
                                </v-btn>
                                <p v-if="imageQR && payType == 'QR'" style="color:red; font-size:12px;">*Mobile banking</p>
                                <p v-if="imageQR && payType == 'CR'" style="color:red; font-size:12px;">*Scan via QR code scanner only</p>
                                <p v-if="imageQR && payType == 'CR'" style="color:red; font-size:12px; margin-top:3px;">do not use mobile banking QR code scanner.</p>
                                </center>
                                <!--end edit qr-->
                              </v-card-text>
                              <form ref="paymentform" id="__PostForm" name="__PostForm" :action="urlOPS"	method="POST">
                                <span v-html="formOPS"></span>
                              </form>
                            </v-card>
                            <v-flex py-3></v-flex>
                          </v-flex>
                          <!-- end mobile -->
                      </v-layout>
                    </v-flex>
                    <v-flex xs7 v-if="!mobileView">
                            <v-card width="380" height="auto" style="margin-left:20px;">
                              <v-card-text style="background-color:#F8F8F8;">
                                <v-layout>
                                  <v-flex xs3><h4>Invoice No.</h4></v-flex>
                                  <v-flex xs9 style="text-align:right;" ><h4>{{invoiceno}}</h4></v-flex>
                                </v-layout>
                                <v-layout v-if="invoicestatus == 'unpaid from portal'" align-center justify-end row wrap>
                                <v-flex xs3>From</v-flex>
                                <v-flex xs9 style="text-align:right;" >{{invoicename}}</v-flex>
                                </v-layout>
                                <v-layout justify-end row wrap>
                                <v-flex v-if="invoicestatus == 'unpaid from portal'" style="color:#606060;">To</v-flex>
                                <v-flex v-if="invoicestatus == 'unpaid from portal'" style="text-align:right;" >{{invoicecompany}}</v-flex>
                                <v-flex v-if="invoicestatus == 'unpaid from erp'" style="color:#606060;"><h4>To</h4></v-flex>
                                <v-flex v-if="invoicestatus == 'unpaid from erp'" style="text-align:right;" ><h4>{{invoicecompany}}</h4></v-flex>
                                </v-layout>
                                <v-divider class="summarydata"></v-divider>
                                <v-flex  class="summarydata" style="color:#606060; text-align:right;">Price (THB)</v-flex>
                                <v-layout v-if="invoicestatus == 'unpaid from portal'" justify-end row wrap  class="summarydata">
                                <v-flex>Sub Total</v-flex>
                                <v-flex style="text-align:right;" >{{ addCommas(invoicesub_total) }}</v-flex>
                                </v-layout>
                                <v-layout v-if="invoicestatus == 'unpaid from portal'" justify-end row wrap  class="summarydata">
                                <v-flex>Withholding Tax</v-flex>
                                <v-flex style="text-align:right;" >{{ addCommas(invoicewht) }}</v-flex>
                                </v-layout>
                                <v-layout justify-end row wrap  class="summaryprice">
                                <v-flex>Total</v-flex>
                                <v-flex style="text-align:right;" >{{ addCommas(invoicetotal) }}</v-flex>
                                </v-layout>
                                <v-divider class="summarydata"></v-divider>
                                <!-- <v-btn :disabled="(chkbox && !bank) || payType==='QR' || !chkbox" class="paybtn" block color="success" @click="pay">PAY</v-btn> -->
                                <p class="emailTxt" style="font-size:13px; margin:5px 0px 5px 0px; color:grey;">Enter your e-mail if you want to receive the notification.</p>
                                <v-text-field solo prepend-icon="mdi-email-outline" class="emailbox" color="#538795" v-model="invoiceemail" hide-details :rules="emailRules"></v-text-field>
                                <v-checkbox  v-if="!imageQR" value=true v-on="payType === 'QR' ? { change: () => pay() } : (payType === 'CR' ? {change: () => payQRLink()} : {change: () => null })" color="#538795" v-model="chkbox" style="margin-top:10px; height:30px;">
                                  <template v-slot:label>
                                    <div class="terms">
                                      I agree to the
                                        <template>
                                          <a
                                            @click.stop="dialogCondition = true"
                                            style="color:grey;"
                                          >
                                            <u>Terms and Conditions.</u>
                                          </a>
                                        </template>
                                    </div>
                                  </template>
                                </v-checkbox>
                                <v-btn :disabled="(chkbox && !bank) || payType==='QR' || !chkbox" class="paybtn white--text" block color="#538795" @click="pay">PAY</v-btn>
                                <center><p v-if="imageQR && payType==='CR' " style="font-size:16px;">OR</p></center>
                                <!--start edit qr-->
                                <center><img v-if="imageQR" width="200px" :src="'data:image/jpeg;base64,'+imageQR" /><br>
                                <v-btn small outline color="primary" v-if="imageQR" @click="downloadQR()">download QR Code <v-icon small right dark>mdi-cloud-download</v-icon>
                                </v-btn>
                                <p v-if="imageQR && payType == 'QR'" style="color:red; font-size:12px;">*Scan via Mobile banking only</p>
                                <p v-if="imageQR && payType == 'CR'" style="color:red; font-size:12px;">*Scan via QR code scanner only</p>
                                <!-- <p v-if="imageQR && payType == 'CR'" style="color:red; font-size:12px; margin-top:3px;">do not use mobile banking QR code scanner.</p> -->
                                </center>
                                <!--end edit qr-->
                              </v-card-text>
                              <form ref="paymentform" id="__PostForm" name="__PostForm" :action="urlOPS"	method="POST">
                                <span v-html="formOPS"></span>
                              </form>
                            </v-card>
                            <v-flex py-3></v-flex>
                          </v-flex>
                        </v-layout>
                      </v-card>
                    </v-app>
                </div>
                <v-layout>
                  <v-toolbar color="white" dark app class="elevation-1">
                      <v-toolbar-title></v-toolbar-title>
                      <v-spacer></v-spacer>
                      <v-toolbar-title style="color:black; font-size:16px; margin-right:7px;">Welcome, Guest </v-toolbar-title>
                  </v-toolbar>
                </v-layout>
            </v-flex>
        </v-layout>
    </v-container>
</v-app>
</template>
<script>
import { sync } from 'vuex-pathify'
import moment from 'moment'
moment.locale('en')
export default {
  data () {
    return {
      ref1: '',
      ref2: '',
      invoicestatus: '',
      // invtoken : this.$cookies.get('invtoken'),
      invoiceaccountID: '',
      invoiceno: '',
      invoicename: '',
      invoicetotal: '',
      invoicesub_total: '',
      invoicewht : '',
      invoicecompany:'',
      invoiceemail: '',
      mobileView: false,
      dialogCondition: false,
      setInterval: '',
      token: '',
      urlOPS: '',
      formOPS: '',
      imageQR:'',
      confirmbtn: true,
      payType: 'QR',
      bank: 'BBL',
      KTB: '',
      BBL: '',
      BAY: '',
      chkbox: false,
      dialogBBL: false,
      firstname: this.$cookies.get('firstname'),
      dialogloader: false,
      dialogloaderQr: false,
      notifications: false,
      sound: true,
      widgets: false,
      dialog: false,
      totalvat: '',
      subtotal: '',
      emailRules: [
        v => !!v || 'E-mail is required',
        v =>  /^\w+([.-]?\w+)*@\w+([.-]?\w+)*(\.\w{2,3})+$/.test(v) || 'E-mail must be valid',
      ],
      images: {
        logo: require('../assets/inet_logo.jpg'),
        bbl: require('../assets/bbl.png'),
        bbl_citizen: require('../assets/bbl_citizen.jpg'),
        bbl_biz: require('../assets/bbl_biz.png'),
        ktb: require('../assets/ktb.png'),
        bay: require('../assets/bay.jpg'),
        scb: require('../assets/scb.jpg'),
        scb_citizen: require('../assets/scb_citizen.png'),
        scb_biz: require('../assets/scb_biz.png'),
        payments: require('../assets/payments.png'),
        pci: require('../assets/pci.png'),
        stepbbl1: require('../assets/stepbbl1.jpg'),
        stepbbl2: require('../assets/stepbbl2.jpg')

      },
      headers: [
        { text: 'No.',
          value: 'index',
          sortable: false,
          align: 'center' },
        {
          text: 'Invoice No.',
          value: 'name',
          sortable: false,
          align: 'left'
        },
        { text: 'Invoice Date',
          value: 'calories',
          sortable: false,
          align: 'center'
        },
        { text: 'Total (THB)',
          value: 'fat',
          sortable: false,
          align: 'right'
        }
      ]
    }
  },
  methods: {
    closeDialog (){
      window.location.reload()
    },
    onScroll (e) {
        this.offsetTop = e.target.scrollTop
    },
    addCommas (nStr) {
      nStr += ''
      var x = nStr.split('.')
      var x1 = x[0]
      var x2 = x.length > 1 ? '.' + x[1] : ''
      var rgx = /(\d+)(\d{3})/
      while (rgx.test(x1)) {
        x1 = x1.replace(rgx, '$1' + ',' + '$2')
      }
      return x1 + x2
    },
    copyText () {
          let testingCodeToCopy = document.querySelector('#testing-code')
          testingCodeToCopy.setAttribute('type', 'text')
          testingCodeToCopy.select()

          try {
            var successful = document.execCommand('copy');
            var msg = successful ? 'successful' : 'unsuccessful';
            alert('Copied to Clipboard!');
          } catch (err) {
            alert('Oops, unable to copy');
          }

          /* unselect the range */
          testingCodeToCopy.setAttribute('type', 'hidden')
          window.getSelection().removeAllRanges()
        },
    copyText2 () {
          let testingCodeToCopy = document.querySelector('#testing-code2')
          testingCodeToCopy.setAttribute('type', 'text')
          testingCodeToCopy.select()

          try {
            var successful = document.execCommand('copy');
            var msg = successful ? 'successful' : 'unsuccessful';
            alert('Copied to Clipboard!');
          } catch (err) {
            alert('Oops, unable to copy');
          }

          /* unselect the range */
          testingCodeToCopy.setAttribute('type', 'hidden')
          window.getSelection().removeAllRanges()
    },
    async downloadQR () {
      var a = document.createElement('a')
      a.href = 'data:image/jpeg;base64,' + this.imageQR
      a.download = 'qr_payment.png'
      document.body.appendChild(a)
      a.click()
      document.body.removeChild(a)
    },
    async getinvoicedata () {
      this.$cookies.set('username','Guest')
      try {
        this.istableloading = true
        var { data } = await this.axios.get(`${process.env.VUE_APP_APIHOST}/qr_invoice`, {
          headers: {
            Authorization: this.token
          }
        })
        this.invoicedata = data
        this.invoicestatus = data[0].status
        this.istableloading = false
        if (this.invoicestatus === 'paid'){
          this.$router.push('/paidsuccess')
        }
        else if (this.invoicestatus === 'invoice not found'){
          this.$router.push('/warning')
        } else {
          this.invoicetoken = data[0].token
          this.invoiceno = data[0].invoice[0]
          this.invoicename = data[0].customer_name
          this.invoicetotal= data[0].total
          this.invoicesub_total = data[0].sub_total
          this.invoicewht = data[0].wth
          this.invoiceaccountID = data[0].customer_account_id
          if (data[0].company_name === null){
            this.invoicecompany = ''
          }
          else{
            this.invoicecompany = data[0].company_name
          }
          this.invoiceemail = data[0].customer_email
          this.invoicesub_total = this.addCommas(parseFloat(this.invoicesub_total).toFixed(2))
          this.invoicewht = this.addCommas(parseFloat(this.invoicewht).toFixed(2))
          this.invoicetotal = this.addCommas(parseFloat(this.invoicetotal).toFixed(2))
        }
      } catch (error) {
        this.istableloading = false
        console.log(error.message)
      }
    },
    async pay () {
      try {
        // console.log('invoicestatus: ', this.invoicestatus);
        if (this.invoicestatus === 'unpaid from erp') {
          this.payFromERP()
        } else {
          if (this.payType === 'QR') {
            this.dialogloaderQr = true
          } else {
            this.dialogloader = true
          }
          var { data } = await this.axios.post(process.env.VUE_APP_APIHOST + '/createpayment',
            {  invoiceno: [this.invoiceno],
               source: 'Guest' + ' ' +this.payType + ' ' + this.bank + ' ' + this.invoicewht + ' ' + this.invoicetotal + ' ' + this.invoiceemail + ' ' + this.invoiceaccountID 
            },
            {  headers: {Authorization: this.invoicetoken} }
          )
          if (this.payType === 'CR' || this.payType === 'AC' || this.payType === 'CO') {
              if (this.bank ==='BBL' && this.payType === 'CO') {
                this.ref1 = data.ref1
                this.ref2 = data.ref2
                this.dialogloader = false
                // this.payType = 'AC'
                this.dialogBBL= true
                this.token = data.token
                this.setInterval = setInterval(() => this.checkToken(), 5000)
              } else {
                this.dialogloader = false
                this.urlOPS = data.tagUrl
                this.formOPS = data.tagInput
                setTimeout(() => { this.$refs.paymentform.submit() }, 750)
              }
           } else { //QR
             this.dialogloaderQr = false
             this.imageQR = data.imageQR
             this.token = data.token
             this.setInterval = setInterval(() => this.checkToken(), 5000)
           }
         }
      } catch (error) {
        // alert(error.message)
        console.log(error.message)
      }
    },
    async payFromERP () {
      try {
        // console.log('payFromERP: ', this.invoicetoken);
        if (this.payType === 'QR') {
          this.dialogloaderQr = true
        } else {
          this.dialogloader = true
        }
        var { data } = await this.axios.post(process.env.VUE_APP_APIHOST + '/createpayment_fromerp',
          {  invoiceno: this.invoiceno,
             source: 'Guest' + ' ' +this.payType + ' ' + this.bank
          },
          {  headers: {Authorization: this.invoicetoken} }
        )
        // console.log('createpayment_fromerp: ', data);
        if (this.payType === 'CR' || this.payType === 'AC' || this.payType === 'CO') {
            if (this.bank ==='BBL' && this.payType === 'CO') {
              this.ref1 = data.ref1
              this.ref2 = data.ref2
              this.dialogloader = false
              // this.payType = 'AC'
              this.dialogBBL= true
              this.token = data.token
              this.setInterval = setInterval(() => this.checkToken(), 5000)
            } else {
              this.dialogloader = false
              this.urlOPS = data.tagUrl
              this.formOPS = data.tagInput
              setTimeout(() => { this.$refs.paymentform.submit() }, 750)
            }
         } else { //QR
           this.dialogloaderQr = false
           this.imageQR = data.imageQR
           this.token = data.token
           this.setInterval = setInterval(() => this.checkToken(), 5000)
         }
      } catch (error) {
        // alert(error.message)
        console.log(error.message)
      }
    },
    async payQRLink () {
      try {
        // console.log('payQRLink invoicestatus: ', this.invoicestatus);
        if (this.invoicestatus === 'unpaid from erp') {
          // this.payFromERP()
          this.payQRLinkFromERP()
          // console.log('payQRLink: unpaid from erp');
        } else {
          this.dialogloaderQr = true
          var { data } = await this.axios.post(process.env.VUE_APP_APIHOST + '/createpayment_qrlink',
            {  invoiceno: this.invoiceno,
              source: 'Guest' + ' ' +this.payType + ' ' + this.bank + ' ' + this.invoicewht + ' ' + this.invoicetotal
            },
            {  headers: {Authorization: this.invoicetoken} }
          )
          this.dialogloaderQr = false
          this.imageQR = data.imageQR
          this.token = data.token
          this.setInterval = setInterval(() => this.checkToken(), 5000)
        }
      } catch (error) {
        // alert(error.message)
        console.log(error.message)
      }
    },
    async payQRLinkFromERP () {
      try {
        this.dialogloaderQr = true
        var { data } = await this.axios.post(process.env.VUE_APP_APIHOST + '/createpayment_qrlink_fromerp',
          {  invoiceno: this.invoiceno,
            source: 'Guest' + ' ' +this.payType + ' ' + this.bank
          },
          {  headers: {Authorization: this.invoicetoken} }
        )
        // console.log('payQRLinkFromERP: ', data);
        this.dialogloaderQr = false
        this.imageQR = data.imageQR
        this.token = data.token
        this.setInterval = setInterval(() => this.checkToken(), 5000)
      } catch (error) {
        // alert(error.message)
        console.log(error.message)
      }
    },
    async checkToken () {
      let { data } = await this.axios.get(process.env.VUE_APP_APIHOST + '/transaction_token',{
          headers: {
            Authorization: this.invoicetoken,
            sub: this.token
          }
      })
      // console.log('checkToken: ', data);
      if (data.authorization) {
        clearInterval(this.setInterval)
        this.$router.push('/transactionResult?authorization='+data.authorization).catch(err => {})
      }
    },
    handleView () {
      this.mobileView = window.innerWidth <= 990
    },
  },
  computed: {
    paymenturl () {
      return process.env.VUE_APP_PAYMENTURL
    },
    account_id () {
      return this.$cookies.get('account_id')
    },
    username () {
      return this.$cookies.get('username')
    }
  },
  created(){
    if (this.$route.query.authorization) {
      this.token = this.$route.query.authorization
      // console.log('transactionResult?transactionNo: ', this.token)
      this.getinvoicedata()
    }
    // console.log('name',this.qrinvoicename);
    this.handleView()
    window.addEventListener('resize', this.handleView)
  },
}
</script>
<style>
  .dialogBBL{
    padding-left:15px;
    padding-top:20px;
  }
  .v-label.submenu {
    font-size: 12px;
    color: black
  }
  ul li{
    display: inline;
    color: grey;
    font-weight: bold;
    font-size: 16px;
  }
  .emailbox .v-input__slot{
  max-height: 40px;
  font-size: 17px;
  padding: 0px;
  margin: 6px;
}
  .emailbox input{
    padding: 2px;
    margin: 6px;
  }
  .summarydata{
    margin-top:13px;
  }
  .summaryprice{
    margin-top:14px;
    font-size:16px;
    font-weight: bold;
    background-color: #F0F0F0;
    width: auto;
    height: 35px;
    padding-top: 5px;
  }
  .paybtn{
    margin-top:14px;
    margin-bottom: 14px;
    text-align:center;
    font-size:18px;
    border-radius: 4px;
  }
  .textcard{
    border: 1px solid #bebebe;
    border-radius: 5px;
    width: 100%;
    background-color: #f2f2f2;
  }
  .cardborder{
  border: 1px solid #ffffff;
  border-radius: 4px;
  width: 150px;
  height: 59;
  background-color: #ffffff;
  /* box-shadow: 3px 5px 10px grey; */
  }
  .subbank{
  border: 1px solid #ffffff;
  border-radius: 4px;
  width: 45px;
  background-color: #ffffff;
  /* box-shadow: 3px 5px 10px grey; */
  }
  .subbankbbl{
  border: 1px solid #ffffff;
  border-radius: 4px;
  width: 100px;
  background-color: #ffffff;
  /* box-shadow: 3px 5px 10px grey; */
  }
  input[type=checkbox] {
    transform: scale(1.5);
  }
  .v-card.mx-auto{
    width: 1000px;
  }
  .checkout{
    width: 565px;
    height: 500px;
    margin-left: 20px;
  }
  .tabDetail{
    width: 565px;
    height: 204;
  }
  .header{
    font-size: 21px;
    font-weight: bold;
    color:#538795;
  }
  .sub-header{
    color:grey;
    font-size: 14px;
  }
  .terms{
    color: black;
  }
@media(max-width: 500px){
  .dialogBBL{
    padding-left:15px;
    padding-top:20px;
  }
  .v-card.mx-auto{
    width: 343px;
  }
  .v-card__text{
    padding: 0px;
  }
  .checkout{
    width: 343px;
    height: auto;
    margin:0px;
    margin-left: 0px;
  }
  .tabDetail{
    width: auto;
    height: auto;
    font-size: 12px;
    color:black;
  }
  .terms{
    width: auto;
    height: auto;
    font-size: 14px;
    color:black;
  }
  .tab{
    font-size: 11px;
  }
  .mytab{
    width: 100%
  }
  .header{
    font-size: 18px;
    font-weight: bold;
    color:#538795;
  }
  .sub-header{
    color:grey;
    font-size: 12px;
  }
  .summarydata{
    font-size:13px;
  }
  .summaryprice{
    font-size:15px;
  }
  .sizetab{
    padding:16px;
  }
  .support{
    font-size:10px;
    margin-left:40px;
    color: grey;
  }
  .v-stepper__header {
    font-size: 12px;
    color: grey;
    font-weight: bold;
  }
  .v-stepper__step{
    padding: 14px;
  }
  .paybtn{
    margin-top:14px;
    margin-bottom: 14px;
    text-align:center;
    font-size:14px;
    border-radius: 4px;
  }
  .paybtn{
    margin-top:14px;
    margin-bottom: 14px;
    text-align:center;
    font-size:18px;
    border-radius: 4px;
  }
}
</style>
